package com.ruoyi.app.mapper;

import java.util.List;
import com.ruoyi.app.model.Hook;

/**
 * 吊钩Mapper接口
 * 
 * @author coede
 * @date 2025-03-19
 */
public interface HookMapper 
{
    /**
     * 查询吊钩
     * 
     * @param id 吊钩主键
     * @return 吊钩
     */
    public Hook selectHookById(Long id);

    /**
     * 查询吊钩列表
     * 
     * @param hook 吊钩
     * @return 吊钩集合
     */
    public List<Hook> selectHookList(Hook hook);

    /**
     * 校验吊钩名称是否唯一
     *
     * @param hookName 吊钩名称
     * @return 结果
     */
    public Hook checkHookNameUnique(String hookName);

    /**
     * 新增吊钩
     * 
     * @param hook 吊钩
     * @return 结果
     */
    public int insertHook(Hook hook);

    /**
     * 修改吊钩
     * 
     * @param hook 吊钩
     * @return 结果
     */
    public int updateHook(Hook hook);

    /**
     * 删除吊钩
     * 
     * @param id 吊钩主键
     * @return 结果
     */
    public int deleteHookById(Long id);

    /**
     * 批量删除吊钩
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteHookByIds(Long[] ids);

    /**
     * 修改全部吊钩为非默认
     *
     * @return 结果
     */
    public int updateHookDefault();
}
